Difference between revisions of "Compile and install GDAL-GRASS plugin"

From GRASS-Wiki
Jump to: navigation, search
(cosmetics)
Line 9: Line 9:
 
The install order should be kept due to inter-dependencies between the packages. Please keep the order or install all in a single step:
 
The install order should be kept due to inter-dependencies between the packages. Please keep the order or install all in a single step:
  
# PROJ4
+
# [http://proj.maptools.org PROJ4]
# Optional: GEOS
+
# Optional: [http://geos.refractions.net GEOS]
# Optional: PostgreSQL, mySQL, unixODBC, sqlite (but needed for QGIS)
+
# Optional: [http://www.postgresql.org PostgreSQL], [http://www.mysql.org mySQL], [http://www.unixodbc.org unixODBC], [http://www.sqlite.org SQLite] (SQLite is needed for QGIS)
# GDAL/OGR without GRASS support
+
# [http://www.gdal.org GDAL/OGR] without GRASS support
# GRASS 6
+
# [http://grass.itc.it GRASS 6]
# GDAL/OGR-GRASS plugin - file: gdal-grass-1.3.1.1.tar.gz (or later) [1] NOTE: the plugin needs to see the GRASS libraries . The best way is to add a file 'grass6.conf' into the directory /etc/ld.so.conf.d (edit as root) which contains the path to the GRASS libraries; then run 'ldconfig'.
+
# [http://www.gdal.org/dl/ GDAL/OGR-GRASS plugin] - file: gdal-grass-1.3.1.1.tar.gz (or later) [1] NOTE: the plugin needs to see the GRASS libraries . The best way is to add a file 'grass6.conf' into the directory /etc/ld.so.conf.d (edit as root) which contains the path to the GRASS libraries; then run 'ldconfig'.
# QGIS with GRASS support
+
# [http://www.qgis.org QGIS] with GRASS support
  
 
[1] New plugin version as of 19 Oct 2005, requires GDAL 1.3.1 or later
 
[1] New plugin version as of 19 Oct 2005, requires GDAL 1.3.1 or later

Revision as of 05:53, 28 May 2006

In general, try to find precompiled packages (i.e., RPMs for most Linuxes, .deb for Debian, Install packages for MS-Windows etc). Check the GRASS download site for software providers.

Compilation

The compilation order should be kept due to inter-dependencies between the packages. Please keep the order as seen below.

Installation

The install order should be kept due to inter-dependencies between the packages. Please keep the order or install all in a single step:

  1. PROJ4
  2. Optional: GEOS
  3. Optional: PostgreSQL, mySQL, unixODBC, SQLite (SQLite is needed for QGIS)
  4. GDAL/OGR without GRASS support
  5. GRASS 6
  6. GDAL/OGR-GRASS plugin - file: gdal-grass-1.3.1.1.tar.gz (or later) [1] NOTE: the plugin needs to see the GRASS libraries . The best way is to add a file 'grass6.conf' into the directory /etc/ld.so.conf.d (edit as root) which contains the path to the GRASS libraries; then run 'ldconfig'.
  7. QGIS with GRASS support

[1] New plugin version as of 19 Oct 2005, requires GDAL 1.3.1 or later

Troubleshooting

All stuff installed but QGIS doesn't see GRASS or r.out.gdal doesn't work?

  • Check if GDAL finds the plugin:
        gdal_translate --formats | grep -i grass
        GRASS (ro): GRASS Database Rasters (5.7+)
  • Check if the GRASS libs are found by the plugin. All libraries should be found (maybe you forgot to run 'ldconfig' if you didn't install from RPMs?):
        ldd /usr/lib/gdalplugins/grass_GRASS.so
        ldd /usr/lib/gdalplugins/ogr_GRASS.so
  • Check if the GRASS plugins are in the right directory (check the 'Auto register' directory reported in the output):
        export CPL_DEBUG=on
        ogrinfo -summary $HOME/grassdata/spearfish60/PERMANENT/vector/roads/head

Further Instructions

If you are still having trouble, please also vist GRASS for Fedora Core 4 for more detailed GRASS and GDAL compilation and installation instructions developed by Isaac Ullah for Fedora Core 4.